Kerbal Space Program - Bug #9210

Struts and fuel lines produce WAY more drag than they should
04/17/2016 10:56 PM - Yargnit

Status: Closed Start date: 04/17/2016
Severity: Low % Done: 100%
Assignee:

Category: Physics

Target version: 1.2.0

Version: 1.0.5 and earlier Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

Not sure if this qualifies as bug or feedback, | went with bug just because of the degree of which it was out of line.

Struts and fuel lines create drag drastically out of line with their footprint, and that of other similar (and much larger) parts. Attached is
a screenshot of struts and fuel lines creating 10x the drag of a cubic-ocag (roughly equivalent in size, but should be less
aerodynamic), 2x the drag of a closed medium landing gear, 1.6x that of the cockpit on the front of the aircraft, 1.25x that of the
aircraft's engine, and even slightly higher than that of the large radial air intake mounted to the side of the plane. Basically a tiny strut
is causing more drag than a giant open mouth of an air intake and significantly more than the cockpit at the nose of the plane. In fact,
if you look at the roll/yaw you'll see a significant amount of control is being exerted just to keep the aircraft flying straight with 4 struts
and 2 fuel lines on one side of an otherwise perfectly balanced craft.

To reproduce; launch the attached craft and enable aero data in action menus.

This existed in 1.0.5 as well, but | didn't pick up on it until recently because the weaker joints in 1.1 require significantly more
strutting, and smaller craft were actually being very noticeably impacted aerodynamically when adding struts to strengthen them.

Also note that the craft has struts and fuel lines of differing length and using either the cubic-octag, or the wing as the base
attachment point. Neither The length nor which part they were attached to had any impact in the drag as seen by the equal values
across all of them in the screenshot. | would recommend reducing the drag of struts and fuel lines by at least 10x compared to their
current values. This would bring them in line with that of a cubic-octagonal strut (which is still a little high especially for struts, but
much more reasonable). If you wanted to get more in depth I'd recommend 5% of current drag when at minimum length, and 10% of
current drag when at maximum length, but | understand that calculating the length of the strut for drag may be too much
work/overhead, in which case a constant 10% of current would suffice. (Or 5% for struts, 10% for fuel lines, as fuel lines are thicker)

History

#1 - 04/18/2016 01:21 PM - Renegrade
- File NoStruts.jpg added

- File YesStruts.jpg added

- Status changed from New to Confirmed

- % Done changed from 0 to 10

Not sure either if this should be feedback or a bug report, but | concur and confirm that the drag is way too high.

| was able to verify the high numbers using the debug info as shown in the screenshot. | also flew one of my own planes, a very simple test plane |
had made for a contract to test the panther engine. It can reach about 996m/s at 1km altitude in it's initial configuration, but after adding four struts
between the fuselage and the wings (two per side), the drag went way up (each was adding about 30), and the top speed fell to about 662-ish.

Conversely, adding a second cockpit to the top of the craft (a mk1-T100 fuel tank-advanced nosecone pod), almost doubling it's effective frontal
surface area, only reduced the speed to 972m/s, with a total added drag of less than one strut's worth.

(afterburner on in all cases)
I'd actually prefer removing drag from struts entirely as they're often necessary in areas where they shouldn't be, and also where they should not
experience drag either (such as ones put in between wing panels or radially attached tanks - they're basically internal components like that, but that's

not modeled outside of fairings and service bays at this time).

| also support the 10% for fuel lines idea.
#2 - 04/18/2016 05:10 PM - lamsodarncool

Renegrade wrote:

I'd actually prefer removing drag from struts entirely as they're often necessary in areas where they shouldn't be, and also where they should not
experience drag either (such as ones put in between wing panels or radially attached tanks - they're basically internal components like that, but
that's not modeled outside of fairings and service bays at this time).

A better solution would be to lower strut drag to realistic levels and then decrease joint wobbliness enough so that they're not needed as much.

#3 - 04/18/2016 05:30 PM - Yargnit

| really kinda agree with struts should be dragless as well tbh, at least with the current state of joints. | was really just suggesting 10% of current as a
happy medium that would hopefully coincide with joint strength fixes. Having to choose to leave your SSTO's wings wobbly, otherwise it has too much
drag to make orbit really shouldn't be a thing, but currently it very much is.

#4 - 04/18/2016 05:44 PM - Renegrade

| agree, lamsodarncool. That would be the ideal situation, but I'm not sure that's feasible in the time available. Especially since we've been dealing
with MOAR STRUTSall¢ since like.. forever.

Yargnit - your last phrase there (the one with the choice between wobbly vs not making orbit) sums it up perfectly. :)

#5 - 04/24/2016 11:03 PM - bewing

On the same theme as whether "this part has way too much drag" being a feedback or a bug:
The tiny radial drogue chutes, when UNdeployed, have an immense amount of drag. Like, ten times more than an undeployed XL parachute.

#6 - 07/23/2016 07:21 AM - TriggerAu

- Project changed from KSP Pre-Release to Kerbal Space Program
- Category changed from Aerodynamics to 281

- Platform Windows added

Moving to KSP as still valid

#8 - 10/14/2016 01:46 AM - Squelch
- Status changed from Confirmed to Ready to Test
- Target version set to 1.2.0

- % Done changed from 10 to 80

Struts and fuel lines now have significantly reduced drag penalties.

This should be fixed for KSP 1.2

#9 - 11/18/2016 08:33 PM - JPLRepo
- Status changed from Ready to Test to Closed
- % Done changed from 80 to 100

Closing. No response.

Files

Strut_test.craft 65 KB 04/17/2016 Yargnit
screenshot3.png 1.58 MB 04/17/2016 Yargnit
NoStruts.jpg 192 KB 04/18/2016 Renegrade
YesStruts.jpg 178 KB 04/18/2016 Renegrade
